com.google.cloud.dataflow.sdk.transforms

## Interface SerializableComparator<T>

Type Parameters:
  `T` - type of values being compared

All Superinterfaces:
  Comparator<T>, Serializable

All Known Implementing Classes:
  KV.OrderByKey, KV.OrderByValue

    public interface SerializableComparator<T>
    extends Comparator<T>, Serializable

A `Comparator` that is also `Serializable`.

### Method Summary

### Methods inherited from interface java.util.Comparator

`compare, comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`